### Class

# Foundry CompletionRequest

#### Description [src]

    abstract class Foundry.CompletionRequest : GObject.Object
    {
      /* No available fields */
    }

Represents a single completion request.

#### Ancestors

- GObject

#### Instance methods

###### foundry_completion_request_dup_file

Gets the file that is to be completed.

###### foundry_completion_request_dup_language_id

Gets the language identifier for the completion request, such as “c” or “js”.

###### foundry_completion_request_dup_word

No description available.

###### foundry_completion_request_get_activation

No description available.

###### foundry_completion_request_get_bounds

This gets the bounds for the completion request.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.CompletionRequest:word

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryCompletionRequestClass {
      GObjectClass parent_class;
      GFile* (* dup_file) (
        FoundryCompletionRequest* self
      );
      char* (* dup_language_id) (
        FoundryCompletionRequest* self
      );
      char* (* dup_word) (
        FoundryCompletionRequest* self
      );
      void (* get_bounds) (
        FoundryCompletionRequest* self,
        FoundryTextIter* begin,
        FoundryTextIter* end
      );
      FoundryCompletionActivation (* get_activation) (
        FoundryCompletionRequest* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_file: GFile* (* dup_file) ( FoundryCompletionRequest* self )`

  No description available.

`dup_language_id: char* (* dup_language_id) ( FoundryCompletionRequest* self )`

  No description available.

`dup_word: char* (* dup_word) ( FoundryCompletionRequest* self )`

  No description available.

`get_bounds: void (* get_bounds) ( FoundryCompletionRequest* self, FoundryTextIter* begin, FoundryTextIter* end )`

  No description available.

`get_activation: FoundryCompletionActivation (* get_activation) ( FoundryCompletionRequest* self )`

  No description available.

#### Virtual methods

###### Foundry.CompletionRequestClass.dup_file

Gets the file that is to be completed.

###### Foundry.CompletionRequestClass.dup_language_id

Gets the language identifier for the completion request, such as “c” or “js”.

###### Foundry.CompletionRequestClass.dup_word

No description available.

###### Foundry.CompletionRequestClass.get_activation

No description available.

###### Foundry.CompletionRequestClass.get_bounds

This gets the bounds for the completion request.